'*************************************************************
'MSMQ constants

'Access modes
const MQ_RECEIVE_ACCESS		= 1
const MQ_SEND_ACCESS		= 2
const MQ_PEEK_ACCESS		= 32

'Sharing modes
const MQ_DENY_NONE			= 0
const MQ_DENY_RECEIVE_SHARE = 1

'Transaction Options
const MQ_NO_TRANSACTION		= 0
const MQ_MTS_TRANSACTION	= 1
const MQ_XA_TRANSACTION		= 2
const MQ_SINGLE_MESSAGE		= 3

'*************************************************************
'Queue Path
const QUEUE_PATH = ".\private$\ReceiveNewHire"

'*************************************************************

dim qinfo, qSend, mSend, xmlDoc
dim sPath, sFile, sMesg, sInFileName

'Input file name
sInFileName = WScript.Arguments(0)

'*************************************************************
' Create the queue
'*************************************************************
set qinfo = CreateObject("MSMQ.MSMQQueueInfo")
qinfo.PathName = QUEUE_PATH 

'*************************************************************
' Open queue with SEND access. 
'*************************************************************
Set qSend = qinfo.Open(MQ_SEND_ACCESS, MQ_DENY_NONE)

'*************************************************************
' Put file into message.
'*************************************************************
sPath = WScript.ScriptFullName
sPath = Mid(sPath, 1, InStrRev(sPath, "\"))
sFile = sPath & sInFileName

set xmlDoc = CreateObject("MSXML.DOMDocument")
xmlDoc.load sFile

set mSend = CreateObject("MSMQ.MSMQMessage")
mSend.Body = xmlDoc.xml
mSend.Label = "NewHireInfo"
  
'*************************************************************
' Send message to queue.
'*************************************************************
mSend.Send qSend, MQ_SINGLE_MESSAGE

if err <> 0 then
     msgbox "Error Submitting to queue. Error = " & Cstr(err.Number) & ", Description = " & err.Description
Else
     msgbox "File """ & sInFileName & """ sent to queue """ & QUEUE_PATH & """", vbOKOnly, "Account Management System"
End if
'*************************************************************
' Close queue.
'*************************************************************
qSend.Close
  